Subject: Re: [PATCH v3 2/3] x86: query dynamic DEBUG_PAGEALLOC setting

From: Christian Borntraeger <[email-masked]>
Date: Tue, 2 Feb 2016 23:37:50 +0100

On 02/02/2016 11:21 PM, Andrew Morton wrote:
> On Tue, 2 Feb 2016 22:53:36 +0100 Christian Borntraeger <[email-masked]> wrote:
> 
>>>> I don't think we should have a CONFIG_DEBUG_PAGEALLOC that does some stuff 
>>>> and then a commandline parameter or CONFIG_DEBUG_PAGEALLOC_ENABLE_DEFAULT 
>>>> to enable more stuff.  It should either be all enabled by the commandline 
>>>> (or config option) or split into a separate entity.  
>>>> CONFIG_DEBUG_PAGEALLOC_LIGHT and CONFIG_DEBUG_PAGEALLOC would be fine, but 
>>>> the current state is very confusing about what is being done and what 
>>>> isn't.
>>>>
>>>
>>> Ping?
>>>
>> https://lkml.org/lkml/2016/1/29/266 
> 
> That's already in linux-next so I can't apply it.
> 
> Well, I can, but it's a hassle.  What's happening here?

I pushed it on my tree for kbuild testing purposes some days ago. 
Will drop so that it can go via mm.